Qt 5.9 | Qt Multimedia | C++ Classes | QMediaServiceProviderPlugin

Qt 5.9.4 Reference Documentation

# QMediaServiceProviderPlugin Class

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins. More...

Header: | #include <QMediaServiceProviderPlugin>
qmake: | QT += multimedia
Inherits: | QMediaServiceProviderFactoryInterface and

- List of all members, including inherited members

## Public Functions

virtual QMediaService * | create(const QString &key) override = 0

## Reimplemented Public Functions

virtual void | release(QMediaService *service) override = 0

- 2 public functions inherited from QMediaServiceProviderFactoryInterface

## Detailed Description

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins.

A media service provider plug-in may implement one or more of QMediaServiceSupportedFormatsInterface, QMediaServiceSupportedDevicesInterface, and QMediaServiceFeaturesInterface to identify the features it supports.

## Member Function Documentation

### `[override pure virtual]` QMediaService *QMediaServiceProviderPlugin::create(const QString &key)

Constructs a new instance of the QMediaService identified by key.

The QMediaService returned must be destroyed with release().

### `[override pure virtual]` void QMediaServiceProviderPlugin::release(QMediaService *service)

Destroys a media service constructed with create().